paex_record_file.c File Reference
Example programs demonstrating PortAudio usage

Record input into a file, then playback recorded data from file (Windows only at the moment) More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "portaudio.h"`
`#include "pa_ringbuffer.h"`
`#include "pa_util.h"`

Go to the source code of this file.

## Data Structures

struct | paTestData

## Macros

#define | FILE_NAME "audio_data.raw"
#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (512)
#define | NUM_SECONDS (10)
#define | NUM_CHANNELS (2)
#define | NUM_WRITES_PER_BUFFER (4)
#define | DITHER_FLAG (0)
#define | PA_SAMPLE_TYPE paFloat32
#define | SAMPLE_SILENCE (0.0f)
#define | PRINTF_S_FORMAT "%.8f"

## Typedefs

typedef float | SAMPLE
typedef int(* | ThreadFunctionType) (void *)

## Functions

int | main (void)

## Detailed Description

Record input into a file, then playback recorded data from file (Windows only at the moment)

Author
  Robert Bielik

Definition in file paex_record_file.c.